Skip to main content
GET
Get Company Onboarding Link
This endpoint returns a link to Zeal’s web-based company onboarding flow, which collects required information such as legal business name, FEIN, legal business address, and bank account information.
This link expires exactly 7 days after generation.

Authorizations

Authorization
string
header
required

Query Parameters

partnerID
string
required

PartnerID of the Zeal Partner

base_url
string

The Base URL is the URL Zeal will redirect the employer to after completion of the company onboarding flow. You may include a custom Base URL in this field. Otherwise, by default, Zeal will use the Base URL found in the admin dashboard.

webhook_correlation_id
string

Provide your own ID, string, etc. to include in the webhook payload. Zeal will include this in the webhook we send you after the company onboards.

companyID
string

The company ID can be optionally passed to generate a link that will take your company to the current step, and not the first step, of the onboarding process.

company_type
enum<string>
default:all

Mark your company as "all" (employees and contractors) or "contractor_only" to limit company's scope to 1099 contractors.

Available options:
all,
contractor_only
skip_migration
boolean
default:false

If true, Zeal will skip migrating payroll information from the company's old payroll provider. Note: please confirm with the company that migration is not necessary. Failure to migrate old records may impact tax reporting and filing.

product_type
enum<string>

The Zeal product type for the onboarding link. Only used when companyID is not provided; defaults to the partner's configured product type, or payroll.

Available options:
payroll,
onboarding_only

Response

200

success
boolean
default:true
Example:

true

data
string
Example:

"https://payroll.your-domain.com/employeronboard/10983755744920193854758300657020834"